Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.FloatingInfo Class Reference

## Public Member Functions
| FloatingInfo ()
| Constructor.
| FloatingInfo (FloatingInfo floating_info)
| Constructor, with another floating infomation object. More...
| FloatingInfo (int window_pos, int relative_target, int resize_type, boolean has_close, boolean has_title, String title, int off_screen, RectF rect)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getHas_close ()
| Get true means the floating window should have a close window control button, while false means not. More...
boolean | getHas_title ()
| Get true means a title should be displayed in the title bar, while false means not. More...
int | getOff_screen ()
| Get specify what action should be taken if the floating window is positioned totally or partially offscreen. More...
RectF | getRect ()
| Get a rectangle specifies the location and size of the floating window in device coordinate system. More...
int | getRelative_target ()
| Get specify the target to which the floating window is to be aligned. More...
int | getResize_type ()
| Get specify whether the floating window may be resized by the user. More...
String | getTitle ()
| Get this title to be displayed if has_title is true. More...
int | getWindow_pos ()
| Get specify how the floating window is to be positioned relative to the window specified by the relative_target . More...
void | set (int window_pos, int relative_target, int resize_type, boolean has_close, boolean has_title, String title, int off_screen, RectF rect)
| Set values. More...
void | setHas_close (boolean value)
| Set true means the floating window should have a close window control button, while false means not. More...
void | setHas_title (boolean value)
| Set true means a title should be displayed in the title bar, while false means not. More...
void | setOff_screen (int value)
| Set specify what action should be taken if the floating window is positioned totally or partially offscreen. More...
void | setRect (RectF value)
| Set a rectangle specifies the location and size of the floating window in device coordinate system. More...
void | setRelative_target (int value)
| Set specify the target to which the floating window is to be aligned. More...
void | setResize_type (int value)
| Set specify whether the floating window may be resized by the user. More...
void | setTitle (String value)
| Set this title to be displayed if has_title is true. More...
void | setWindow_pos (int value)
| Set specify how the floating window is to be positioned relative to the window specified by the relative_target . More...

## Static Public Attributes
static final int | e_OffScreenAllow = 0
| Off screen action: take no action.
static final int | e_OffScreenCancel = 2
| Off screen action: cancel playing the media clip.
static final int | e_OffScreenForceOnScreen = 1
| Off screen action: move or resize the window so that it is on-screen.
static final int | e_RelativeTargetAppWindow = 1
| Relative type: align the floating window relative to the application window.
static final int | e_RelativeTargetDesktop = 2
| Relative type: align the floating window relative to the full virtual desktop.
static final int | e_RelativeTargetMonitor = 3
| Relative type: align the floating window relative to the (selected) monitor display screen.
static final int | e_RelativeTargetPageWindow = 0
| Relative type: align the floating window relative to the document (page) window.
static final int | e_ResizeTypeKeepRatio = 1
| Resize type: may be resized only if the aspect ratio is preserved.
static final int | e_ResizeTypeNo = 0
| Resize type: may not be resized.
static final int | e_ResizeTypeYes = 2
| Resize type: may be resized without preserving the aspect ratio.
static final int | e_WindowPositionBottomCenter = 7
| Window position: at the bottom center.
static final int | e_WindowPositionBottomLeft = 6
| Window position: at the bottom left corner.
static final int | e_WindowPositionBottomRight = 8
| Window position: at the bottom right corner.
static final int | e_WindowPositionCenter = 4
| Window position: at the center.
static final int | e_WindowPositionCenterLeft = 3
| Window position: at the center left.
static final int | e_WindowPositionCenterRight = 5
| Window position: at the center right.
static final int | e_WindowPositionTopCenter = 1
| Window position: at the top center.
static final int | e_WindowPositionTopLeft = 0
| Window position: at the top left corner.
static final int | e_WindowPositionTopRight = 2
| Window position: at the top right corner.

## Detailed Description

This class represents floating imformation.

## Constructor & Destructor Documentation

## ◆ FloatingInfo() [1/2]

com.foxit.sdk.FloatingInfo.FloatingInfo | ( | int | window_pos,
|  | int | relative_target,
|  | int | resize_type,
|  | boolean | has_close,
|  | boolean | has_title,
|  | String | title,
|  | int | off_screen,
|  | RectF | rect
| ) |  |

Constructor, with parameters.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

## ◆ FloatingInfo() [2/2]

com.foxit.sdk.FloatingInfo.FloatingInfo | ( | FloatingInfo | floating_info | ) |

Constructor, with another floating infomation object.

Parameters

  [in] | floating_info | Another floating infomation object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.FloatingInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getHas_close()

com.foxit.sdk.FloatingInfo.getHas_close | ( |  | ) |

Get true means the floating window should have a close window control button, while false means not.

Returns
  true means the floating window should have a close window control button, while false means not.

## ◆ getHas_title()

com.foxit.sdk.FloatingInfo.getHas_title | ( |  | ) |

Get true means a title should be displayed in the title bar, while false means not.

Returns
  true means a title should be displayed in the title bar, while false means not.

## ◆ getOff_screen()

com.foxit.sdk.FloatingInfo.getOff_screen | ( |  | ) |

Get specify what action should be taken if the floating window is positioned totally or partially offscreen.

Returns
  Specify what action should be taken if the floating window is positioned totally or partially offscreen. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_OffScreenAllow and this should be one of these values.

## ◆ getRect()

com.foxit.sdk.FloatingInfo.getRect | ( |  | ) |

Get a rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  A rectangle specifies the location and size of the floating window in device coordinate system.

## ◆ getRelative_target()

com.foxit.sdk.FloatingInfo.getRelative_target | ( |  | ) |

Get specify the target to which the floating window is to be aligned.

Returns
  Specify the target to which the floating window is to be aligned. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_RelativeTargetPageWindow and this should be one of these values.

## ◆ getResize_type()

com.foxit.sdk.FloatingInfo.getResize_type | ( |  | ) |

Get specify whether the floating window may be resized by the user.

Returns
  Specify whether the floating window may be resized by the user. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_ResizeTypeNo and this should be one of these values.

## ◆ getTitle()

com.foxit.sdk.FloatingInfo.getTitle | ( |  | ) |

Get this title to be displayed if has_title is true.

Returns
  This title to be displayed if has_title is true.

## ◆ getWindow_pos()

com.foxit.sdk.FloatingInfo.getWindow_pos | ( |  | ) |

Get specify how the floating window is to be positioned relative to the window specified by the relative_target .

Returns
  Specify how the floating window is to be positioned relative to the window specified by the relative_target . Please refer to values starting from com.foxit.sdk.FloatingInfo.e_WindowPositionTopLeft and this should be one of these values.

## ◆ set()

void com.foxit.sdk.FloatingInfo.set | ( | int | window_pos,
|  | int | relative_target,
|  | int | resize_type,
|  | boolean | has_close,
|  | boolean | has_title,
|  | String | title,
|  | int | off_screen,
|  | RectF | rect
| ) |  |

Set values.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  None.

## ◆ setHas_close()

com.foxit.sdk.FloatingInfo.setHas_close | ( | boolean | value | ) |

Set true means the floating window should have a close window control button, while false means not.

Parameters

  [in] | value | true means the floating window should have a close window control button, while false means not.

Returns
  None.

## ◆ setHas_title()

com.foxit.sdk.FloatingInfo.setHas_title | ( | boolean | value | ) |

Set true means a title should be displayed in the title bar, while false means not.

Parameters

  [in] | value | true means a title should be displayed in the title bar, while false means not.

Returns
  None.

## ◆ setOff_screen()

com.foxit.sdk.FloatingInfo.setOff_screen | ( | int | value | ) |

Set specify what action should be taken if the floating window is positioned totally or partially offscreen.

Parameters

  [in] | value | Specify what action should be taken if the floating window is positioned totally or partially offscreen. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_OffScreenAllow and this should be one of these values.

Returns
  None.

## ◆ setRect()

com.foxit.sdk.FloatingInfo.setRect | ( | RectF | value | ) |

Set a rectangle specifies the location and size of the floating window in device coordinate system.

Parameters

  [in] | value | A rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  None.

## ◆ setRelative_target()

com.foxit.sdk.FloatingInfo.setRelative_target | ( | int | value | ) |

Set specify the target to which the floating window is to be aligned.

Parameters

  [in] | value | Specify the target to which the floating window is to be aligned. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_RelativeTargetPageWindow and this should be one of these values.

Returns
  None.

## ◆ setResize_type()

com.foxit.sdk.FloatingInfo.setResize_type | ( | int | value | ) |

Set specify whether the floating window may be resized by the user.

Parameters

  [in] | value | Specify whether the floating window may be resized by the user. Please refer to values starting from com.foxit.sdk.FloatingInfo.e_ResizeTypeNo and this should be one of these values.

Returns
  None.

## ◆ setTitle()

com.foxit.sdk.FloatingInfo.setTitle | ( | String | value | ) |

Set this title to be displayed if has_title is true.

Parameters

  [in] | value | This title to be displayed if has_title is true.

Returns
  None.

## ◆ setWindow_pos()

com.foxit.sdk.FloatingInfo.setWindow_pos | ( | int | value | ) |

Set specify how the floating window is to be positioned relative to the window specified by the relative_target .

Parameters

  [in] | value | Specify how the floating window is to be positioned relative to the window specified by the relative_target . Please refer to values starting from com.foxit.sdk.FloatingInfo.e_WindowPositionTopLeft and this should be one of these values.

Returns
  None.